<?php echo $header; ?><?php echo $column_left; ?>

<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-pp-express" data-toggle="tooltip" title="<?php echo $button_save; ?>"
                        class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>"
                   class="btn btn-default"><i class="fa fa-reply"></i></a></div>
            <h1><?php echo $heading_title; ?></h1>
            <ul class="breadcrumb">
                <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                <?php } ?>
            </ul>
        </div>
    </div>
    <div class="container-fluid">
        <?php if (!empty($error_warning)) { ?>
        <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>
        <?php if (!empty($success)) { ?>
        <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>

        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
            </div>
            <div class="panel-body">
                <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-ecommpay" class="form-horizontal">
                    <ul class="nav nav-tabs">
                        <li class="active" id="li-tab-settings"><a href="#tab-settings" data-toggle="tab"><?php echo $tab_settings; ?></a></li>
                        <li class="" id="li-tab-order-status"><a href="#tab-order-status" data-toggle="tab"><?php echo $tab_order_status; ?></a></li>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane active" id="tab-settings">
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                                <div class="col-sm-10">
                                    <select name="ecommpay_status" id="input-status" class="form-control">
<?php                                 $enabled_selected = '';
                                      $disabled_selected = '';
                                      if ($ecommpay_status) {
                                        $enabled_selected = 'selected';
                                      } else {
                                        $disabled_selected = 'selected';
                                      }
?>
                                        <option value="1"
                                        <?php echo $enabled_selected; ?> ><?php echo $text_enabled; ?></option>
                                        <option value="0"
                                        <?php echo $disabled_selected; ?> ><?php echo $text_disabled; ?></option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="input-callback-url">
                                    <span data-toggle="tooltip" title="<?php echo $entry_callback_url_help ?>"><?php echo $entry_callback_url; ?></span>
                                </label>
                                <div class="col-sm-10">
                                    <div style="padding-top: 9px;"><?php echo $callback_url; ?></div>
                                </div>
                            </div>

<?php                       $ecommpayOptions = ['title', 'description', 'projectid', 'secretkey', 'additional_parameters'];
                            foreach ($ecommpayOptions as $option) {
?>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="input-<?php echo $option; ?>">
                                    <span data-toggle="tooltip" title="<?php echo ${'entry_' . $option . '_help'}; ?>"><?php echo ${'entry_' . $option}; ?></span>
                                </label>
                                <div class="col-sm-10">
                                    <input type="text" name="ecommpay_<?php echo $option; ?>"
                                           value="<?php echo ${'ecommpay_' . $option}; ?>"
                                           placeholder="<?php echo ${'entry_' . $option}; ?>" id="input-<?php echo $option; ?>"
                                           class="form-control"/>
<?php
                                    if (!empty(${'error_warning_' . $option})) {
?>
                                    <div class="alert alert-danger">
                                        <?php echo ${'error_warning_' . $option}; ?>
                                    </div>
<?php
                                    }
?>                              </div>
                            </div>

<?php                       }
?>

<?php
                        $ecommpayOptions = ['testmode', 'popupmode'];
                        foreach ($ecommpayOptions as $option) {
?>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="input-<?php echo $option; ?>">
                            <span data-toggle="tooltip"
                                  title="<?php echo ${'entry_' . $option . '_help'}; ?>"><?php echo ${'entry_' . $option}; ?></span>
                                </label>
                                <div class="col-sm-10">
                                    <input type="checkbox"
                                           name="ecommpay_<?php echo $option; ?>" <?php if (${'ecommpay_' . $option}) echo "checked"; ?>
                                    placeholder="<?php echo ${'entry_' . $option}; ?>" id="input-<?php echo $option; ?>"
                                    class="form-control"/>
                                </div>
                            </div>
<?php
                        }
?>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="input-language">
                            <span data-toggle="tooltip"
                                  title="<?php echo $entry_language_help; ?>"><?php echo $entry_language; ?></span>
                                </label>
                                <div class="col-sm-10">
                                    <select name="ecommpay_language" id="input-language" class="form-control">
                                        <?php foreach ($languages as $id => $language) { ?>
                                        <?php if ($id == $ecommpay_language) { ?>
                                        <option value="<?php echo $id; ?>"
                                                selected="selected"><?php echo $language; ?>
                                        </option>
                                        <?php } else { ?>
                                        <option value="<?php echo $id; ?>"><?php echo $language; ?></option>
                                        <?php } ?>
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="input-currency">
                            <span data-toggle="tooltip"
                                  title="<?php echo $entry_currency_help; ?>"><?php echo $entry_currency; ?></span>
                                </label>
                                <div class="col-sm-10">
                                    <input id="input-currency" class="form-control" value="<?php echo $ecommpay_currency; ?>"
                                           disabled>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label"
                                       for="input-geo-zone"><?php echo $entry_geo_zone; ?></label>
                                <div class="col-sm-10">
                                    <select name="ecommpay_geo_zone_id" id="input-geo-zone" class="form-control">
                                        <option value="0"><?php echo $text_all_zones; ?></option>
                                        <?php foreach ($geo_zones as $geo_zone) { ?>
                                        <?php if ($geo_zone['geo_zone_id'] == $ecommpay_geo_zone_id) { ?>
                                        <option value="<?php echo $geo_zone['geo_zone_id']; ?>"
                                                selected="selected"><?php echo $geo_zone['name']; ?></option>
                                        <?php } else { ?>
                                        <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                                        <?php } ?>
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label"
                                       for="input-sort-order"><?php echo $entry_sort_order; ?></label>
                                <div class="col-sm-10">
                                    <input type="text" name="ecommpay_sort_order" value="<?php echo $ecommpay_sort_order; ?>"
                                           placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order"
                                           class="form-control"/>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="tab-order-status">
<?php
                        $ecommpayOptions = ['failed_status', 'success_status', 'pending_status', 'reversed_status', 'refunded_status'];
                        foreach ($ecommpayOptions as $option) {
?>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="input-<?php echo $option; ?>">
                            <span data-toggle="tooltip"
                                  title="<?php echo ${'entry_' . $option . '_help'}; ?>"><?php echo ${'entry_' . $option}; ?></span>
                                </label>
                                <div class="col-sm-10">
                                    <select name="ecommpay_<? echo $option; ?>" id="input-<?php echo $option; ?>"
                                            class="form-control">
                                        <?php foreach ($order_statuses as $status) { ?>
                                        <?php if ($status['order_status_id'] == ${'ecommpay_' . $option}) { ?>
                                        <option value="<?php echo $status['order_status_id']; ?>"
                                                selected="selected"><?php echo $status['name']; ?>
                                        </option>
                                        <?php } else { ?>
                                        <option value="<?php echo $status['order_status_id']; ?>"><?php echo $status['name']; ?></option>
                                        <?php } ?>
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>
<?php
                        }
?>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<?php echo $footer; ?>